
Katello - Bug #7120

The WebUI does not degrade nicely on screen width smaller than 1090 pxs

08/15/2014 04:51 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 980113 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/460
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=980113

Description of problem:

The dashboard page has a horizontal scrollbar when the window is 1090 px wide. The scrollbar disappears only when the window is

cca 1200 px wide. The WebUI should not require scrolling unless necessary.

Version-Release number of selected component (if applicable):

Satellite 6 MDP1

How reproducible:

Deterministic.

Steps to Reproduce:

1. Use Firefox and make the window cca 1090 pxs wide (for example by having tabs in the sidebar on 1280 px wide screen).

2. Log in to Satellite's dashboard.

Actual results:

Horizontal scrollbar.

Expected results:

No horizontal scrollbar especially when the page is not crowded with information.

Additional info:

Associated revisions

Revision c9638285 - 08/21/2014 04:54 PM - Walden Raines

Fixes #7120/BZ980113: use BS3 on dashboard to make it responsive.

The dashboard was displaying badly in smaller browsers.  This

commit reworks the dashboard to use bootstrap 3 classes and

thus makes it responsive.

http://projects.theforeman.org/issues/7120

https://bugzilla.redhat.com/show_bug.cgi?id=980113

Revision 99664a0b - 08/25/2014 10:28 AM - Walden Raines

Merge pull request #4601 from waldenraines/7120

Fixes #7120/BZ980113: use BS3 on dashboard to make it responsive.
History

#1 - 08/17/2014 02:27 PM - Eric Helms

- Target version set to 55

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 08/18/2014 08:50 AM - Walden Raines

- Difficulty changed from easy to medium

#3 - 08/21/2014 12:22 PM - Walden Raines

- Status changed from New to Assigned

#4 - 08/21/2014 02:50 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4601 added

- Pull request deleted ()

#5 - 08/25/2014 11:01 AM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|c96382852416dbcbfc2125f300cb6eb2b1a20c53.

#6 - 09/15/2014 02:20 PM - Eric Helms

- translation missing: en.field_release set to 13
